<?php
require_once("DBManager.class.php");

class Sor{
	private $idsor;
	private $idafiliado;///
	private $fecha;
	private $asunto;
	private $especifica;
	private $rspta;
		
	///////////////////////////////////////////
	public function Crear($idafi,$fecha,$asunto,$nom,$rspta)
	{
		$resp=false;		
		$db= new DBManager();	
		$fecha = implode("-", array_reverse(explode("-", $fecha)));	
		if($db->_execute("INSERT INTO sor(idsor,idafiliado,fecha,asunto,especifica,rspta) VALUES(null,".$idafi.",'".$fecha."','".$asunto."','".$nom."','".$rspta."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorFecha($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$v = implode("-", array_reverse(explode("-", $v)));		
		$rs=$db->execute("select idsor,idafiliado,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,asunto,especifica,rspta from sor where(fecha ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idsor"	    => $rs->fields["idsor"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"fecha" 	    => $rs->fields["fecha"],
									"asunto" 	    => $rs->fields["asunto"],
									"especifica" 	=> $rs->fields["especifica"],
									"rspta" 	=> $rs->fields["rspta"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idsor,idafiliado,fecha,asunto,especifica,rspta from sor where(idsor = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->idsor=$rs->fields["idsor"];
					  $this->idafiliado=$rs->fields["idafiliado"];
					  $this->fecha=$rs->fields["fecha"];
					  $this->asunto=$rs->fields["asunto"];
				      $this->especifica=$rs->fields["especifica"];
					  $this->rspta=$rs->fields["rspta"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($idd,$rspta)			
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("update sor set rspta='".$rspta."' where (idsor=".$idd.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorIdafiliado($id)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idsor,idafiliado,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,asunto,especifica,rspta from sor where (idafiliado=".$id.") order by idsor desc ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idsor"	    => $rs->fields["idsor"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"fecha" 	    => $rs->fields["fecha"],
									"asunto" 	    => $rs->fields["asunto"],
									"especifica" 	=> $rs->fields["especifica"],
									"rspta" 	=> $rs->fields["rspta"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
/////////////////////////////////
	public function ListarTodos()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idsor,idafiliado,DATE_FORMAT(fecha,'%d-%m-%Y') AS fecha,asunto,especifica,rspta from sor order by idsor desc ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idsor"	    => $rs->fields["idsor"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"fecha" 	    => $rs->fields["fecha"],
									"asunto" 	    => $rs->fields["asunto"],
									"especifica" 	=> $rs->fields["especifica"],
									"rspta" 	=> $rs->fields["rspta"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM sor WHERE (idsor=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////						
	public function getidsor(){ return $this->idsor;}
	public function getidafiliado(){ return $this->idafiliado;}
	public function getespecifica(){ return $this->especifica;}
	public function getfecha(){ return $this->fecha;}
	public function getrspta(){ return $this->rspta;}
	public function getasunto(){ return $this->asunto;}
	}
?>
